﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PanelBarHeaderedContentControlExample
{
    public class DataItem
    {
        private static int counter = 0;

        public DataItem()
        {
            DataItem.counter++;

            this.Title = string.Empty;
            this.DateCreated = new DateTime();
            this.Price = 0.0;
            this.IsSelected = false;
            this.ItemNumber = DataItem.counter;
            this.RelatedItems = new ObservableCollection<DataItem>();
        }

        public DataItem(string title, DateTime date, double price, bool isSelected = false)
        {
            DataItem.counter++;

            this.Title = title;
            this.DateCreated = date;
            this.Price = price;

            this.IsSelected = isSelected;
            this.ItemNumber = DataItem.counter;
            this.RelatedItems = new ObservableCollection<DataItem>();
        }

        public string Title { get; set; }
        public DateTime DateCreated { get; set; }
        public double Price { get; set; }
        public IList<DataItem> RelatedItems { get; set; }
        public bool IsSelected { get; set; }
        public int ItemNumber { get; private set; }
    }
}
